### Method

# Shell PerfLog dump_log

#### Declaration [src]

    gboolean
    shell_perf_log_dump_log (
      ShellPerfLog* perf_log,
      GOutputStream* out,
      GError** error
    )

#### Description [src]

Writes the performance event log, formatted as JSON, to the specified output stream. For performance reasons, the output stream passed in should generally be a buffered (or memory) output stream, since it will be written to in small pieces. The JSON output is an array with the elements of the array also being arrays, of the form ‘[‘ , [, … ] ‘]’.

#### Parameters

`out`

  Type: `GOutputStream`

  Output stream into which to write the event log.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the dump succeeded. `FALSE` if an IO error occurred.